#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct RunsNotFound {
    #[builder(
        default,
        set(
            item(
                type = super::super::super::super::super::objects::scout::run::api::RunRid
            )
        )
    )]
    #[serde(
        rename = "runRids",
        skip_serializing_if = "std::collections::BTreeSet::is_empty",
        default
    )]
    run_rids: std::collections::BTreeSet<
        super::super::super::super::super::objects::scout::run::api::RunRid,
    >,
}
impl RunsNotFound {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn run_rids(
        &self,
    ) -> &std::collections::BTreeSet<
        super::super::super::super::super::objects::scout::run::api::RunRid,
    > {
        &self.run_rids
    }
}
impl conjure_error::ErrorType for RunsNotFound {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::NotFound
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:RunsNotFound"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["runRids"]
    }
}
